> For the complete documentation index, see [llms.txt](https://docs.realmigrator.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmigrator.com/script/reference/hash.md).

# Hash Reference

## gkScript main object

| Script                                            | Function                                                         |
| ------------------------------------------------- | ---------------------------------------------------------------- |
| `string gkScript::hashMD5(string data)`           | Use it to MD5-hash the data string. A binary has string returns. |
| `gkScript::hexEncode` or `gkScript::base64Encode` | Get an appropriate string representation                         |
| `Hash gkScript::createMD5Hasher()`                | Will create a hash object                                        |

## gkScript hash object

```c++
class Hash
{
    reset();
    update(string data);
    string finalize();
};
```

#### Hash sample

```shell
eval> var md5 = gkScript.hexEncode(gkScript.hashMD5("The quick brown fox jumps over the lazy dog"));
9E107D9D372BB6826BD81D3542A419D6

eval> var hasher = gkScript.createMD5Hasher();
eval> hasher.update("The quick brown fox");
eval> hasher.update(" jumps over the lazy dog");
eval> gkScript.hexEncode(hasher.finalize());
9E107D9D372BB6826BD81D3542A419D6
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.realmigrator.com/script/reference/hash.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
